/*
 * Copyright 2022 NXP
 *
 * NXP Confidential. This software is owned or controlled by NXP and may only
 * be used strictly in accordance with the applicable license terms found at
 * https://www.nxp.com/docs/en/disclaimer/LA_OPT_NXP_SW.html . The standard 
 * license in Section 2.3 is expressly granted for this software.  
 */

#include "lvgl/lvgl.h"

#include "lvgl/lvgl.h"

#include "lvgl/lvgl.h"

#ifndef LV_ATTRIBUTE_MEM_ALIGN
#define LV_ATTRIBUTE_MEM_ALIGN
#endif

#ifndef LV_ATTRIBUTE_IMG__INFO_V_3X60
#define LV_ATTRIBUTE_IMG__INFO_V_3X60
#endif

const LV_ATTRIBUTE_MEM_ALIGN LV_ATTRIBUTE_IMG__INFO_V_3X60 uint8_t _info_v_3x60_map[] = {
#if LV_COLOR_DEPTH == 16 && LV_COLOR_16_SWAP == 0
  /*Pixel format: Alpha 8 bit, Red: 5 bit, Green: 6 bit, Blue: 5 bit*/
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
  0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 
#endif
#if LV_COLOR_DEPTH == 16 && LV_COLOR_16_SWAP != 0
  /*Pixel format: Alpha 8 bit, Red: 5 bit, Green: 6 bit, Blue: 5 bit  BUT the 2  color bytes are swapped*/
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
  0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 
#endif
};

const lv_img_dsc_t _info_v_3x60 = {
  .header.always_zero = 0,
  .header.w = 3,
  .header.h = 60,
  .data_size = 180 * LV_COLOR_SIZE / 8,
  .header.cf = LV_IMG_CF_TRUE_COLOR_ALPHA,
  .data = _info_v_3x60_map,
};
